﻿fragment deviceFields on DeviceInformationType {
    id
    browser
    browserVersion
    city
    cityLatLong 
    countryCode
    countryName
    deviceBrand
    deviceFamily
    deviceModel
    ipAddress
    mail
    os
    osVersion
    createdAt
}

query GetDeviceInformation {
    deviceInformation {
        ...deviceFields
    }
}

mutation SendScamMail($mail: SendScamMailType!) {
    device {
        send(mail: $mail)
    }
}